/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the DIVA IO library.
 *
 * Author(s): Jarmo Hiipakka and Tommi Ilmonen, 2000-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * DIVA - Digital Interactive Virtual Acoustics group 
 * Telecommunications Software and Multimedia Laboratory
 * Helsinki University of Technology
 * Finland
 *
 * http://www.tml.hut.fi/Research/DIVA/
 *
 * DIVA IO library is licensed under GNU Lesser General Public
 * License (LGPL). The LGPL conditions can be found in file "LGPL"
 * that is distributed with this source package or obtained from the
 * GNU organization (www.gnu.org).
 * 
 */

#ifndef DI_EXCEPTION_FILE_OPEN_H
#define DI_EXCEPTION_FILE_OPEN_H

#include <di_exception.h>

/** */

class DI_ExceptionFileOpen : public DI_Exception
{
public:
  DI_ExceptionFileOpen(const char * function,
		       const char * fileline = 0,
		       const char * message = 0,
		       const char * cure = 0) throw();
  
  virtual ~DI_ExceptionFileOpen() throw();

};

#endif
