/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */



#ifndef MJ_MIDI_EVENT_H
#define MJ_MIDI_EVENT_H

#include <di_midi_event.h>

#ifndef WIN32
typedef DI_MidiEvent MJ_MidiEvent;
#else
#define MJ_MidiEvent DI_MidiEvent
#endif

#define MJ_MIDI_TIME_RESOLUTION DI_MIDI_TIME_RESOLUTION
#define MJ_MIDI_CHANNELS DI_MIDI_CHANNELS

#endif
