/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_MODULE_DSP_TUI_H
#define MJ_MODULE_DSP_TUI_H

#include <mj_module_dsp_ui.h>

#include <qobject.h>


/** Base class for Text-based user interfaces. */
class MJ_ModuleDspTui : public QObject, public MJ_ModuleDspUi
{
  Q_OBJECT

public:

  MJ_ModuleDspTui(MJ_RtControl *rtparent,
		  MJ_ModuleDsp *module,
		  const char *name = 0);
  
  virtual ~MJ_ModuleDspTui();
  
protected:

  virtual MJ_Base* mjParent();

  static bool m_dspTuiDebug;
};

#endif
