#import "ParticleObjectSubstantialPatchAbstract.h"

#import "QCStructurePort.h"

@interface ParticleColliderPatch : ParticleObjectSubstantialPatchAbstract
{
	QCStructurePort	*inputFaces;
	QCNumberPort *inputBounce;
	QCNumberPort *inputDrag;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end