#import "ParticleObjectSubstantialPatchAbstract.h"

@interface ParticleForceExplosionPatch : ParticleObjectSubstantialPatchAbstract
{
	QCNumberPort *inputRange;
	QCNumberPort *inputMagnitude;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end