#import "ParticleObjectPatchAbstract.h"

#import "QCColorPort.h"

@interface ParticleObjectSubstantialPatchAbstract : ParticleObjectPatchAbstract
{
	QCBooleanPort *inputVisible;
	QCBooleanPort *inputUpdateVelocity;
	QCNumberPort *inputX;
	QCNumberPort *inputY;
	QCNumberPort *inputZ;
	QCNumberPort *inputVx;
	QCNumberPort *inputVy;
	QCNumberPort *inputVz;
	QCNumberPort *inputTheta;
	QCNumberPort *inputOmega;
	QCNumberPort *inputSize; // affects rendering
	QCNumberPort *inputMass; // affects gravitational forces
	QCNumberPort *inputArea; // affects drag force
	QCColorPort *inputColor;
}

- (id)initWithIdentifier:(id)fp8;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end