#import "ParticleOperatorPatchAbstract.h"

#import "vee_value_random.h"


@interface ParticleOperatorNumberRandomPatch : ParticleOperatorPatchAbstract
{
	QCNumberPort *inputMin;
	QCNumberPort *inputMax;

	VEE_ValueRandomFloat *_vrf;
}

- (id)attributes;

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end