#import "ParticleOperatorVectorPatchAbstract.h"

#import "QCImagePort.h"
#import "QCPixelFormat.h"
#import "QCPixelImageBuffer.h"

@interface ParticleOperatorVectorImagePatch : ParticleOperatorVectorPatchAbstract
{
	QCImagePort *inputImage;

	CGColorSpaceRef _cs;
	QCPixelFormat *_pf;
}

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end