#import <QCStructurePort.h>
#import <QCObjectPort.h>
#import <QCPatch.h>

#import "ParticleLooks.h"

@interface ParticleLooksPort : QCObjectPort
{
}
+ (Class)baseClass;
- (Class)valueClass;
- (Class)objectClass;
- (BOOL)acceptValuesOfClass:(Class)c;
- (NSString *)tooltipString;

- (ParticleLooks *)looksValue;
- (id)value;

- (void)setLooksValue:(ParticleLooks *)looks;
- (BOOL)setValue:(id)v;

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
@end
