#import "ParticleLooksPort.h"

@implementation ParticleLooksPort : QCObjectPort
+ (Class)baseClass
{
	return [ParticleLooksPort class];
}
- (Class)valueClass
{
	return [ParticleLooks class];
}
- (Class)objectClass
{
	return [ParticleLooks class];
}

- (BOOL)acceptValuesOfClass:(Class)c
{
	return [c isSubclassOfClass:[ParticleLooks class]];
}
- (NSString *)tooltipString
{
	return [[self object] description];
}


- (ParticleLooks *)looksValue
{
	return [self object];
}
- (id)value
{
	return [self object];
}

- (void)setLooksValue:(ParticleLooks *)looks
{
	[self setObject:looks];

}
- (BOOL)setValue:(id)v
{
	[self setObject:v];
	return YES;
}

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
{
	self=[super initWithNode:node arguments:arguments];
	return self;
}
@end
