#import <QCStructurePort.h>
#import <QCObjectPort.h>
#import <QCPatch.h>

#import "ParticleObject.h"

@interface ParticleObjectPort : QCObjectPort
{
}
+ (Class)baseClass;
- (Class)valueClass;
- (Class)objectClass;
- (BOOL)acceptValuesOfClass:(Class)c;
- (NSString *)tooltipString;

- (ParticleObject *)objectValue;
- (id)value;

- (void)setObjectValue:(ParticleObject *)object;
- (BOOL)setValue:(id)v;

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
@end
