
/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef VEE_MATRIX3_H
#define VEE_MATRIX3_H

#include <Matrix3.hpp>

typedef Fluid::Matrix3 VEE_Matrix3;
typedef Fluid::Matrix3T<double> VEE_Matrix3d;

extern const VEE_Matrix3 VEE_Matrix3IDENTITY;

#endif
