/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef VEE_OBJECT_FACTORY_H
#define VEE_OBJECT_FACTORY_H

class VEE_Object;

class VEE_ObjectFactory
{
public:

  static VEE_Object * create(const char *type);
  
  static void addFactory(const char *, VEE_Object *(*factory)());

  static void init();
};


#endif
