/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef VEE_OPERATOR_H
#define VEE_OPERATOR_H

#include <vee_has_values.h>

class VEE_Object;

class VEE_Operator : public VEE_HasValues
{
public:
  VEE_Operator() {}
  virtual ~VEE_Operator() {}
  virtual void operate(VEE_Object *, float);
  virtual VEE_Operator * clone() const;
};

#endif
