/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef VEE_STRS_H
#define VEE_STRS_H

#include <string.h>

/// Collection of very usual character strings.
class VEE_Strs
{
public:

  static const char * addvelocity;
  static const char * addlocation;
  static const char * age;
  static const char * agelimit;
  static const char * area;
  static const char * axes;
  static const char * color;
  static const char * decaypower;
  static const char * direction;
  static const char * done;
  static const char * epsilon;
  static const char * location;
  static const char * looks;
  static const char * magnitude;
  static const char * mass;
  static const char * material;
  static const char * normal;
  static const char * radius;
  static const char * range;
  static const char * rate;
  static const char * rotation;
  static const char * size;
  static const char * stiffness;
  static const char * strength;
  static const char * transform;
  static const char * type;
  static const char * value;
  static const char * velocity;
  static const char * visible;
  static const char * volume;

  /** Test if two strings are equals. One or both strings can be NULL.  */
  static inline bool equals(const char *s1, const char *s2)
  {
    return !strcmp(s1, s2);

    /* if(!s1 || !s2) return s1 == s2;
    
    while(*s1 != '\0' && *s2 != '\0')
      if(*s1++ != *s2++)
	return false;

	return *s1 == *s2;*/
  }

};

#endif
