
/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef VEE_VECTOR2_H
#define VEE_VECTOR2_H

#include <FluidVector2.hpp>

typedef Fluid::Vector2 VEE_Vector2;

extern const VEE_Vector2 VEE_Vector2ZERO;
extern const VEE_Vector2 VEE_Vector2ONE;

#endif
