
#ifndef CONFIG_READER_TMPL_HPP
#define CONFIG_READER_TMPL_HPP

#include <ConfigReader.hpp>

namespace ConfigReader {

  
  template <class T>
  void ChunkT<T>::dump(std::ostream& os)
  {
    for(iterator it = m_variants.begin();it != m_variants.end(); it++) {
      os << (*it).first << " {\n";
      (*it).second.dump(os);
      os << "}\n\n";
    }
  }

}

#endif
