/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef GEE_CONFIG_H
#define GEE_CONFIG_H

#define GEE_VERSION_MAJOR 0
#define GEE_VERSION_MINOR 1
#define GEE_VERSION_SUBMINOR 5

#define GEE_VERSION_ID(release, minor, subminor)  release << 16 | minor << 8 | subminor

#define GEE_VERSION_CURRENT GEE_VERSION_ID(GEE_VERSION_MAJOR, GEE_VERSION_MINOR, GEE_VERSION_SUBMINOR)

typedef long GEE_id_t;

#endif
