/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <gee_containment.h>

void GEE_Containment::contained(GEE_Geometry *)
{}

GEE_ContainAll::~GEE_ContainAll()
{}

void GEE_ContainAll::getBoundingBox(VEE_BoundingBox *bb)
{
  float large = 1.0e+20;
  bb->low().make(large);
  bb->high().make(large);
}

bool GEE_ContainAll::contains(const VEE_Vector3 &)
{
  return true;
}

bool GEE_ContainAll::intersects(const GEE_SimpleTriangle &)
{
  return true;
}
