/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef GEE_ENUMS_H
#define GEE_ENUMS_H

enum GEE_SelectionState {
  GEE_SELECT_BIT = 0x1,
  GEE_NEARLY_SELECT_BIT = 0x2
};

enum GEE_AlignMode {
  GEE_ALIGN_MOTION = 0x0,
  GEE_ALIGN_ROTATION = 0x1
};

#endif
