/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef GEE_MACROS_H
#define GEE_MACROS_H

/// Builds an integer out of three bytes or whatever
#define GEE_CONST( a,b,c,d ) ((d << 24) | (c << 16) | (b << 8) | a)
#define GEE_CONST2( a,b ) ((b << 8) | a)
/// Used to define function names (for debugging/error reporting)
#define GEE_FNAME static const char * fname 

#endif
