# Usual initializations:
from vee_init import *
from vee import *

# Do some tests:

v1 = VEE_Vector3()
v1.make(0, 0, 1)

mx = VEE_Matrix3()
my = VEE_Matrix3()

mx.rotateX(-VEE_HALF_PI)
my.rotateY(-VEE_HALF_PI)


print "(mx * my) * v1 (should be -1, 0, 0)"

m3 = VEE_Matrix3_mulMM(mx, my)
v2 = VEE_Matrix3_mulMV(m3, v1)
v2.toCout()


print "\n(my * mx) * v1 (should be 0, 1, 0)"

m4 = VEE_Matrix3_mulMM(my, mx)
v3 = VEE_Matrix3_mulMV(m4, v1)
v3.toCout()

print "\nmy * (mx * v1) (should be 0, 1, 0)"

vtmp = VEE_Matrix3_mulMV(mx, v1)
vtmp = VEE_Matrix3_mulMV(my, vtmp)
vtmp.toCout()

print "\nmx * v1 (should be 0, 1, 0)"
v4 = VEE_Matrix3_mulMV(mx, v1)
v4.toCout()

print "\nmy * v1 (should be -1, 0, 0)"
v5 = VEE_Matrix3_mulMV(my, v1)
v5.toCout()

print "\nmx = "
mx.toCout()

print "\nmy = "
my.toCout()

print "\nmx * my = "
m3.toCout()

print "\nmy * mx = "
m4.toCout()

