/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_MATH_HPP
#define SOLAR_MATH_HPP

namespace Solar {


inline float Min(float x1, float x2)
{
  return (x1 < x2) ? x1 : x2;
}

inline float Min(double x1, double x2)
{
  return (x1 < x2) ? x1 : x2;
}

inline float Min(int x1, int x2)
{
  return (x1 < x2) ? x1 : x2;
}

inline float Max(float x1, float x2)
{
  return (x1 > x2) ? x1 : x2;
}

inline float Max(double x1, double x2)
{
  return (x1 > x2) ? x1 : x2;
}

inline float Max(int x1, int x2)
{
  return (x1 > x2) ? x1 : x2;
}

} // namespace Solar

#endif
