/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_LWO_CONVERT_HPP
#define SOLAR_LWO_CONVERT_HPP

class LWOReader;

namespace Solar {

class Model;

  class LwoConvert {
  public:
    static bool convert(Solar::Model *, LWOReader *);
    static bool load(Solar::Model *, const char *);
  };

} // namespace Solar

#endif
