/* vee_flame.sl - A shader for VEE particles.


 */

surface vee_polygon (float exponent = 1.0;)
{
  float ds = 0.5 - s;
  float dt = 0.5 - t;

  float tmp = sqrt(ds * ds + dt * dt);

  if(tmp > 0.5) 
    tmp = 0.0;
  else
    tmp = cos(tmp * PI);

  /* POW does not seem to work, use this instead (sigh)*/

  Oi = Os * tmp;
  Ci = Cs * tmp;
}
