/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_GUI_ENUMS_H
#define MJ_GUI_ENUMS_H

/** Defines GUI size. */
enum MJ_GuiSize {
  /// Stamp sized GUI
  MJ_GUI_STAMP,
  /// Postcard-sized GUI
  MJ_GUI_POSTCARD,
  /// GUI in own window
  MJ_GUI_OWN_WINDOW,  
  /// Number of GUI types.
  MJ_GUI_SIZEOF 
};

extern const char *MJ_GuiSizes[MJ_GUI_SIZEOF];

#endif
