/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */



#ifndef MJ_MIDI_H
#define MJ_MIDI_H

#include <mj_midi_event.h>
#include <qtextstream.h>

QTextStream &operator>>( QTextStream &, MJ_MidiEvent &);
QTextStream &operator<<( QTextStream &, const MJ_MidiEvent &);

void MJ_writeCout(const MJ_MidiEvent &);


#endif
