/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#include <mj_filter_fir.h>

/// Creates an empty filter.
template <class TElem>
MJ_FilterFIR<TElem>::MJ_FilterFIR()
  : m_val(0.0)
{}

/// Creates a filter of order "order".
template <class TElem>
MJ_FilterFIR<TElem>::MJ_FilterFIR(uint order)
  : m_val(0.0),
    m_coeffs(order),
    m_buffer(order)
{}

template <class TElem>
MJ_FilterFIR<TElem>::~MJ_FilterFIR()
{}

/** Put a new input sample to the filter. */
// template <class TElem>
//void MJ_FilterFIR<TElem>::put(TElem s)
