#import "ParticleObjectSubstantialPatchAbstract.h"

#import "QCStructurePort.h"
#import <KinemeCore/Kineme3DObjectPort.h>

@interface ParticleColliderKineme3DPatch : ParticleObjectSubstantialPatchAbstract
{
	//QCStructurePort	*inputFaces;
	Kineme3DObjectPort *inputObject;
	QCNumberPort *inputBounce;
	QCNumberPort *inputDrag;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end