#import "ParticleRenderClassPort.h"

@implementation ParticleRenderClassPort : QCObjectPort
+ (Class)baseClass
{
	return [ParticleRenderClassPort class];
}
- (Class)valueClass
{
	return [ParticleRenderClass class];
}
- (Class)objectClass
{
	return [ParticleRenderClass class];
}

- (BOOL)acceptValuesOfClass:(Class)c
{
	return [c isSubclassOfClass:[ParticleRenderClass class]];
}
- (NSString *)tooltipString
{
	return [[self object] description];
}


- (ParticleRenderClass *)renderClassValue
{
	return [self object];
}
- (id)value
{
	return [self object];
}

- (void)setRenderClassValue:(ParticleRenderClass *)renderClass
{
	[self setObject:renderClass];

}
- (BOOL)setValue:(id)v
{
	[self setObject:v];
	return YES;
}

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
{
	self=[super initWithNode:node arguments:arguments];
	return self;
}
@end
