#import <vee_value_vector_image.h>

#include <vee_math.h>
#include <vee_random.h>
#include <vee_strs.h>

VEE_ValueVectorImage::VEE_ValueVectorImage()
{
	_pos=0;
	_width=0;
	_height=0;
}

VEE_ValueVectorImage::~VEE_ValueVectorImage()
{}
  
VEE_Value * VEE_ValueVectorImage::clone() const
{
  return new VEE_ValueVectorImage(*this);
}

bool VEE_ValueVectorImage::getVector3(VEE_Vector3 *v)
{

int x=_pos % _width;
int y=_pos / _width;



  VEE_Vector3 tmp;
  
  if(((char*)_image)[(x*4+_stride*y)])
	tmp=VEE_Vector3(  (float)(x) / (float)_width - 0.5, (float)(y) / (float)_width - 0.5 ,0);
else
tmp=VEE_Vector3(100,100,100);

  *v = tmp;

	++_pos;
	if(_pos >= _width*_height)
		_pos=0;

  return true;
}


void VEE_ValueVectorImage::setImage(int w, int h,void *image,int bytesPerRow)
{
	_width=w;
	_height=h;
	_stride=bytesPerRow;
	_image=image;
}
