
/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */


#ifndef VEE_VECTOR4_H
#define VEE_VECTOR4_H

#include <FluidVector4.hpp>

typedef Fluid::Vector4 VEE_Vector4;

extern const VEE_Vector4 VEE_Vector4ZERO;
extern const VEE_Vector4 VEE_Vector4ONE;

#endif
