///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright 1998-2000 by Janne Kontkanen. All Rights reserved. Usage or     //
// redistribution of this material in source or binary form is prohibited    //
// unless otherwise agreed.                                                  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

// Common math functions

#ifndef _MATH_HPP
#define _MATH_HPP

#ifndef __sgi
#include <cmath>
#include <cstdlib>
#else
#include <math.h>
#include <stdlib.h>
#endif

#ifdef PLATFORM_NO_ABS_FUNCTION
float abs(float f)
{
	return fabs(f);
}
#endif

inline float urand()
{
	return (float)rand()/RAND_MAX;
}

#ifndef __FP__
	// OS X already has pi in fp.h
	const float pi = 3.141592f;
#endif

#endif // #ifndef _MATH_HPP
