/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#include <Garbage.hpp>

namespace Solar {

 Garbage::~Garbage() 
 { 
   if(m_bin) 
     m_bin->add(this); 
 }
  
  void Garbage::setGarbageBin(GarbageBin *bin) 
  { 
    m_bin = bin; 
  }

} // namespace Solar
